%bcond_with bootstrap

Name:           cdi-api
Version:        2.0.2
Release:        %mkrel 4
Summary:        CDI API
Group:          Development/Java
License:        ASL 2.0
URL:            https://github.com/eclipse-ee4j/cdi
BuildArch:      noarch

Source0:        https://github.com/eclipse-ee4j/cdi/archive/%{version}.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  %{?module_prefix}mvn(jakarta.inject:jakarta.inject-api)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
%endif

%description
APIs for JSR-299: Contexts and Dependency Injection for Java EE

%{?javadoc_package}

%prep
%setup -q -n cdi-%{version}

%pom_remove_parent
%pom_remove_parent api
%pom_disable_module spec
%pom_remove_plugin -r :maven-javadoc-plugin

%pom_remove_dep :jakarta.el-api api
%pom_remove_dep :jakarta.interceptor-api api
rm -rf api/src/main/java/javax/enterprise/{context/,inject/spi/,inject/se/,inject/Model.java,inject/New.java}

%mvn_alias :jakarta.enterprise.cdi-api javax.enterprise:cdi-api

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt



%changelog
* Thu May 23 2024 ns80 <ns80> 2.0.2-4.mga10
+ Revision: 2066465
- rebuild for java 21

* Mon Jul 25 2022 neoclust <neoclust> 2.0.2-3.mga9
+ Revision: 1871015
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 2.0.2-2.mga9
+ Revision: 1870228
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 2.0.2-1.mga9
+ Revision: 1863453
- New version 2.0.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 2.0-1.mga9
+ Revision: 1694779
- Update to version 2.0

* Sun Feb 16 2020 umeabot <umeabot> 1.2-4.mga8
+ Revision: 1531658
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 daviddavid <daviddavid> 1.2-3.mga8
+ Revision: 1440758
- switch to python3-pygments

* Tue Sep 18 2018 umeabot <umeabot> 1.2-2.mga7
+ Revision: 1261183
- Mageia 7 Mass Rebuild

* Sat May 06 2017 neoclust <neoclust> 1.2-1.mga6
+ Revision: 1099380
- New version 1.2

* Wed Mar 02 2016 neoclust <neoclust> 1.1-14.mga6
+ Revision: 982219
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.1-13.mga6
+ Revision: 975743
- First rebuild of the java stack
- sync package cdi-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 daviddavid <daviddavid> 1.1-7.mga5
+ Revision: 806541
- obsoletes cdi-api1 and cdi-api1-javadoc (no longer in our svn)

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 740274
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 535144
- Mageia 4 Mass Rebuild
+ dmorgan <dmorgan>
- Rebuild against new javapackages
- Rebuild against new java stack

* Wed Sep 18 2013 dmorgan <dmorgan> 1.1-1.mga4
+ Revision: 481223
- Generate OSGI info

* Sat Jan 12 2013 umeabot <umeabot> 1.0-4.SP4.2.mga3
+ Revision: 351548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1.0-4.SP4.1.mga3
+ Revision: 291465
- imported package cdi-api


* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4.SP4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 25 2012 Asaf Shakarchi <asaf@redhat.com> 1.0-3.SP4
- Fixed changelog versions.

* Wed Mar 16 2012 Asaf Shakarchi <asaf@redhat.com> 1.0-2.SP4
- Added required dependencies, modified patches and cleaned spec.

* Mon Feb 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.0-1.SP4
- Initial packaging

